TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Operation

string S := list sub

### Syntax

<string>{[<elt-ord^rat>, <elt-ord^rat>, ...]} := <string>

### Description

<shortdoc> Assign characters from `s' to the string `S' at given positions `sub'.
Each position in `sub' must not be negative nor 0.
Note: If any position in `sub' is beyond the current scope of `S' the string is dynamically expanded to cover the assignment.
Further the lengths of `sub' and `s' must be equal. </shortdoc>

### Examples

s:="foo not bar"; s{[5..7]}:="was"; s;
s:="foo not bar"; s{[1,7,11]}:="vrz"; s;
s:="foo no"; s{[6..13]}:="ay, bar!"; s;

### See also

string := elt-ord^rat
[] ( string, elt-ord^rat ) -> char
{} ( string, list ) -> string

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack